

% readme_hydrography: documents some data that you will need
% for homework assignments in 12.808. Also shows how to
% load these .mat files into Matlab and make simple plots.

% Jim Price, July, 2005, 508-289-2526, jprice@whoi.edu
%  modified in August 2006 and August 2008

% set a few default graphics things
set(0,'DefaultTextFontSize',12)
set(0,'DefaultAxesFontSize',12)
set(0,'DefaultAxesLineWidth',1.0)
set(0,'DefaultLineLineWidth',1.4)

%  add the seawater directory to the path
path(path,'./seawater')   % assumes that the seawater functions are in 
                          %  a subdirectory of the directory you are now in
                          
                          
% The first part loads and plots the data from Knauss' Table 2.1 
load K2_1.mat;        % load a data file containing a single structure, A

%  load the depth, temperature and salinity data from A into vectors 
%  note that we could use A.pre, etc. directly in the plot command

z = -A.pre;    %  we are treating -pressure as if depth
t = A.tem;
s = A.sal;

figure(1)                  %  plot the data
clf reset

subplot(1,2,1)
plot(t, z)
xlabel('insitu temperature, C')
ylabel('depth, m')
title('Knauss Table 2.1')
grid on

subplot(1,2,2)
plot(s, z)
xlabel('salinity')
grid on
    
% _____   end of Knauss Table 2.1


% now for a mystery station from the Atlantic...
% Atlantic stations are in a file Atlantic_msta.mat that has a 
% single structure, A, that has 5 stations, i.e., 5 mystery stations

load Atlantic_msta2008.mat

%  to plot station j
j = 3;    %  say

%   the data will be in fields with these names and units:
z = -A(j).pre;   %  depth, m  (actual data is P in db)
t = A(j).tem;    %  insitu temperature, C
s = A(j).sal;    %  salinity
o = A(j).oxy;    %  oxygen, umol/kg
ph = A(j).pho;   %  phosphate, umol/kg

%  now plot these data 
figure(2)                  
clf reset

subplot(2,2,1)
plot(t, z)
xlabel('insitu temperature, C')
ylabel('depth, m')
title(['mystery station ', num2str(j)])
grid on

subplot(2,2,2)
plot(s, z)
xlabel('salinity')
grid on

subplot(2,2,3)
plot(o, z)
xlabel('d oxygen, micro mol/kg')
ylabel('depth, m')
grid on

subplot(2,2,4)
plot(ph, z)
xlabel('phosphate, micro mol/kg')
grid on

%_______   end of mystery station plot


%{   
Some other data sets are  


----------------------- Pacific mystery stations ------------
Pacific_msta2008.mat
Four mystery stations from the Pacific. Format as above.


------------------- dynamic height check stations ---------------------
Endeavor88.mat has two stations that span the Gulf Stream.  
You may find it helpful to check your calculations of dynamic height 
and geostrophic current against this example, taken from 
Stewart 2004,. Ch 10.  

---------------------- 24 N in the North Atlantic -----------------
NAmidocean.mat
Data from WOCE section A05 on 24N in the N Atlantic are in NAmidocean.mat 
These two stations more or less span the deep interior of the North 
Atlantic at this latitude. Useful for calculating a simplified estimate of 
the mid-ocean heat transport. 

NAwestern.mat
As above, but the stations are both west of the mid-Atlantic Ridge.  


%}









